﻿/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}


/*InformationPage*/
.h4InformationPage {
    font-family: 'Inter';
    font-weight: 600;
    color: #3A3E50;
    margin-bottom: 0;
}

.InformationTxt1 {
    font-size: 0.9em;
    font-family: 'Inter';
    color: #a563ae;
    font-weight: 500;
}

.InformationTxt2 {
    font-family: 'Inter';
    font-weight: 500;
    color: #3A3E50;
    font-size: 0.8em;
}


.InformationTxt3 {
    font-size: 0.7em;
    font-family: 'Inter';
    font-weight: 400;
    color: #3a3e50;
}


.homeBtnInformation {
    padding: 1% 2%;
    border-radius: 10px;
    border: none;
    background-color: #9D48A9;
    color: white;
    font-family: 'Inter';
    font-weight: 500;
    font-size: 0.8em;
}


/*Home Page*/
.topBannerContainers {
    padding-right:2%;
}
.topBannerContainers .col-4 {
    width: 30% !important;
}
.iconContainer {
    margin-top: auto;
    margin-bottom: 2%;
}
.enlargeIcon {
    font-size:2em;
}
.backgroundIcon {
    color: #008DAB;
}

.mainIconColor {
    color:white;
}
.specialoffCont {
    width: 98.3%;
    border-radius: 4px;
    cursor: grab;
}

.banner-offer__title {
    margin-bottom: 1px;
    text-align: left;
    margin-top: 3%;
    font-size: 1.5em;
    font-family: 'Inter';
    color: #3A3E50;
}

.banner-offer__subtitle {
    margin-bottom: 3%;
    font-family: Inter, sans-serif;
    font-weight: 500;
    font-size: 0.8em;
    line-height: 29px;
    color: #686868;
    letter-spacing: 1px;
    text-align: left;
    max-width: 100%;
}
.banner-offer__subtitle a {
    color: #A563AE;
}

.banner {
    display:none;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 3%;
    cursor:pointer;
}

.banner__left-side {
    display: flex;
    flex-direction: column;
    padding: 116px 32px 114px 33px;
    background-color: #571463;
}


.banner__left-side__title {
    margin-bottom: 15px;
    font-family: Bebas Neue, sans-serif;
    font-weight: 400;
    font-size: 70px;
    line-height: 91px;
    color: #ffffff;
}

.banner__left-side__subtitle {
    margin-bottom: 10px;
    font-family: Inter, sans-serif;
    font-weight: 500;
    font-size: 34px;
    letter-spacing: -2px;
    color: #ffffff;
}


.banner__left-side__text {
    margin-bottom: 37px;
    font-family: Inter, sans-serif;
    font-weight: 300;
    font-size: 28px;
    letter-spacing: -2px;
    color: #ffffff;
}


.banner__left-side__button {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 244px;
    height: 55px;
    padding: 0 32px 0 21px;
    background-color: #A470AB;
    border-radius: 30px;
    font-family: Inter, sans-serif;
    font-weight: 600;
    font-size: 22px;
    line-height: 48px;
    color: #571463;
    cursor: pointer;
}


.banner__left-side__button::after {
    content: "";
    background-image: url(/Content/Images/icons/arrow__btn.svg);
    display: block;
    width: 10px;
    height: 16px;
}

.banner__right-side__img {
    object-fit: fill;
    width: 100%;
    border-radius: 4px;
    height: auto;
    box-shadow: rgb(60 64 67 / 30%) 0px 1px 2px 0px, rgb(60 64 67 / 15%) 0px 1px 3px 1px;
}
.autoplayOffers {
    display:none;

}
.offer {
    text-align: center;
}

.offer__subtitle {
    font-family: Inter, sans-serif;
    font-weight: 600;
    font-size: 32px;
    line-height: 32px;
    color: #3A3E50;
}


.offer__title {
    margin: 0 0 43px;
    color: #9D48A9;
    text-align: center;
    font-family: 'Inter';
    margin: 0 0 43px;
    color: #9D48A9;
    text-align: left;
    font-weight: 700;
}


.offer__products {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 105px;
}


.offer__products__product {
    margin-right: 109px;
}


.offer__products__product:last-child {
    margin-right: 0;
}

.offer__products__product__img {
    width: 200px;
    height: auto;
    object-fit: fill;
}

.btnSpecailOffersSubTxt {
    font-size: 0.8em;
    font-weight: 400;
    font-family: 'Inter';
}

.specialOfferWebDesc div p span {
    font-size: 1em;
    font-weight: 400;
    font-family: 'Inter';
    color: #008DAB;
}

.btnSpecialOffers {
    width: 100%;
    height: auto;
    padding: 4%;
    background-color: #f6f6f6;
    line-height: 20px;
    color: #008DAB;
    font-size: 0.7em;
    cursor: pointer;
    font-family: 'Inter';
    font-weight: 600;
}

.btnSpecialOffers:hover {
    text-decoration:underline;
}


.offerMainDescription {
    overflow: hidden;
    text-overflow: ellipsis;
    width: 100%;
    white-space: nowrap;
}

.banner-welcome__left {
    border-radius: 4px;
    padding: 60px 12px 57px 26px;
    position: relative;
}

.banner-welcome__left__subtitle {
    font-family: Inter, sans-serif;
    font-weight: 500;
    font-size: 24px;
    color: #FFFFFF;
    line-height: 36px;
}


.banner-welcome__left__title {
    width: 57%;
    font-family: Inter, sans-serif;
    font-weight: 600;
    font-size: 30px;
    color: #FFFFFF;
    line-height: 40px;
    letter-spacing: -1px;
}


.banner-welcome__left__img {
    position: absolute;
    top: 0;
    right: 0;
    width: 45%;
    height: 100%;
    object-fit: cover;
    border-radius:4px;
}


.banner-brends__title {
    margin-bottom: 40px;
    color: #3A3E50;
    text-align: center;
    margin-top: 5%;
    font-family: 'Inter';
    font-weight:700;
}

.banner-brends__title span {
        color: #9D48A9;
}

.banner-brends__images {
    display: grid;
    gap: 1.5rem;
    grid-template-columns: repeat(3,1fr);
    align-self:center;
}

.banner-brends__images__brend {
    margin-right: 25px;
}


.banner-brends__images__brend:last-child {
    margin-right: 0;
}

.banner-brends__images__brend__img {
    max-width: 100%;
    height: auto;
}

.best-sellers {
    background-color: #6E3579;
    text-align: center;
    padding: 55px 0 54px;
    margin-bottom:3%;
    border-radius: 15px;
}


.best-sellers__title {
  
    text-align: center;
    margin: 0;
}

.best-sellers__subtitle {
    font-family: Inter, sans-serif;
    font-weight: 500;
    font-size: 35px;
    color: #FFFFFF;
}

.banner-categories__title {
    text-align: center;
    margin-bottom: 77px;
    color: #3A3E50;
    font-family: 'Inter';
    font-weight: 700;
}

.banner-categories__title span {
    color: #9D48A9;
}

.banner-categories__images {
    display: flex;
    justify-content: space-between;
    gap: 25px;
    margin: 0 0 38px;
}

.banner-categories__images__link {
    font-family: Inter, sans-serif;
    font-weight: 700;
    font-size: 25px;
    margin-bottom: 106px;
    color: #3A3E50;
    text-align: center;
}


.banner-categories__images__link--clean::before {
    background-image: url(/Content/Images/icons/clean.svg);
}

.banner-categories__images__link--drink::before {
    background-image: url(/Content/Images/icons/drink.svg);
}

.banner-categories__images__link--household::before {
    background-image: url(/Content/Images/icons/household.svg);
}


.banner-categories__images__link--health::before {
    background-image: url(/Content/Images/icons/health.svg);
}

.banner-categories__images__link::before {
    content: "";
    display: block;
    margin-bottom: 21px;
    width: 213px;
    height: 213px;
    border-radius: 50%;
    background-color: #008DAB;
    background-repeat: no-repeat;
    background-position: center;
    position: relative;
    left: 50%;
    transform: translate(-50%);
}

.banner-categories__images__link:hover {
    color: #008DAB;
}

.arrowStyle {
    color: #008DAB;
    font-size: 1.3em;
}


.selfpromotion_Container {
    width: 100%;
    max-height: 200px;
    background-color: #f6f6f6;
    margin-bottom: 5%;
}

.selfPromotion_ImgContainer {
    max-width: 100%;
}

.selfPromotion_Title {
    font-family: 'Inter';
    font-size: 0.9em;
    font-weight: 700;
    color: #9D48A9
}

.selfPromition_SubTxt {
    font-family: 'Inter';
    font-size: 0.7em;
    line-height: 24px;
    color: #676668;
    font-weight: 400;
}

.btnLearnMoreBanner {
    min-height: 40px;
    border: none;
    background-color: #9D48A9;
    border-radius: 4px;
    color: white;
    font-weight: 400;
    font-family: 'Inter';
    font-size: 0.8em;
}

.best-sellers__title:before {
    color: black;
}

.best-sellers__title:before {
    background-color: #008DAB;
    content: "";
    display: inline-block;
    height: 2px;
    position: relative;
    vertical-align: middle;
    width: 30%;
    margin-right: 5%;
}

.best-sellers__title:after {
    background-color: #008DAB;
    content: "";
    display: inline-block;
    height: 2px;
    position: relative;
    vertical-align: middle;
    width: 30%;
    margin-left: 5%;
}
.banner_selfPromotionMobile {
    display:none;
}


.selfpromotionMobile_Container {
    width:100%;
    height:auto;
}
.product-cards {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    justify-items: center;
    gap: 101px 81px;
    margin-bottom: 4%;
}


.product-cards__product-card {
    max-width: 388px;
    padding: 29px 14px 14px;
    border: 1px solid #e7e7e7;
    box-shadow: 2px 2px 21px 2px rgba(0, 0, 0, 0.01);
    border-radius: 4px;
}


.product-cards__product-card__img {
    display: block;
    height: 190px;
    margin: 0 auto 26px;
    transition-duration: 400ms;
    cursor: pointer;
    min-height: 190px;
    min-width: 200px;
    background-size: contain !important;
    background-repeat: no-repeat !important;
}

.product-cards__product-card__img:hover {
    transform: scale(1.1);
    outline: 1px solid #A563AE;
    padding: 2px;
    border-radius: 4px;

}

.product-cards__product-card__title {
    font-family: Inter, sans-serif;
    font-weight: 700;
    font-size: 1em;
    color: #3A3E50;
    letter-spacing: -1px;
    line-height: 36px;
    margin-bottom: 27px;
    min-height: 114px;
    max-height: 114px;
    overflow-y: hidden;
    text-overflow: ellipsis;
    overflow-x: hidden;
}

.product-cards__product-card__title a {
    color: #3A3E50;
}


.product-cards__product-card__count {
    font-family: Inter, sans-serif;
    font-weight: 700;
    font-size: 22px;
    margin-bottom: 23px;
    display: flex;
    color: #3A3E50;
    line-height: 32px;
}


.product-cards__product-card__count__items-control {
    cursor: pointer;
}

.product-cards__product-card__bottom {
    display: flex;
    justify-content: space-between;
    margin-bottom: 26px;
}


.product-cards__product-card__bottom__price {
    position: relative;
    margin-top:auto;
    margin-bottom:auto;
}


.product-cards__product-card__bottom__price__label {
    font-family: Inter, sans-serif;
    font-weight: 700;
    font-size: 24px;
    letter-spacing: -1px;
    color: #571463;
    line-height: 130.52%;
}


.product-cards__product-card__bottom__price__value {
    font-family: Inter, sans-serif;
    font-weight: 700;
    font-size: 18px;
    text-decoration: line-through;
    color: #D4D4D4;
    font-size:70%;
    position: relative;
    bottom: 2ex;
}


.product-cards__product-card__bottom__buttons {
    display: flex;
    gap: 7px;
}

.product-cards__product-card__bottom__buttons__link {
    height: 50px;
    width: 50px;
    border-radius: 7px;
    text-decoration: none;
    transition: color 0.4s, background-color 0.4s;
    border: none;
    cursor: pointer;
}


.product-cards__product-card__bottom__buttons__link--heart {
    background-image: url(./../images/icons/heart.svg);
}

.product-cards__product-card__bottom__buttons__link--cart {
    background-image: url(./../images/icons/cart.svg);
}

.product-cards__product-card__bottom__buttons__link:hover {
    background-color: #008DAB;
}
.product-cards__product-card__count__items-current, .product-cards__product-card__count__items-control {
    border: 1px solid #D5D5D5;
    padding: 16px 8px;
    width: 48px;
    height: 52px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.product-cards__product-card__count__items-control {
    cursor: pointer;
}

.product__info__buttons__heart, .product__info__buttons__add, .product-cards__product-card__bottom__buttons__link {
    background-color: #A563AE;
    display: block;
    background-position: center;
    background-repeat: no-repeat;
    color: #FEFEFE;
    border: none;
}

.slick-dots {
    position: absolute;
    bottom: -50px;
    display: block;
    width: 100%;
    padding: 0;
    margin: 0;
    list-style: none;
    text-align: center;
}

.slick-dots li {
    position: relative;
    display: inline-block;
    width: 20px;
    height: 20px;
    margin: 0 5px;
    padding: 0;
    cursor: pointer;
}

.linkIMGShop {
    color: #A563AE !important;
}
.linkIMGShop:hover {
        color: #A563AE !important;

}

.slick-dots li button {
    font-size: 0;
    line-height: 0;
    display: block;
    width: 10px;
    height: 10px;
    padding: 5px;
    cursor: pointer;
    color: transparent;
    border: 0;
    outline: none;
    background-color: #e3e3e3;
    border-radius: 100%;
}
    .slick-dots li.slick-active button {
        background-color: #9D48A9;
    }

.product-cards__product-card__count__items-current input {
    width: 100%;
    text-align: center;
    border: none;
    outline: none !important;
    font-family: Inter, sans-serif;
    font-weight: 600;
    color: #3A3E50;
    font-size: 0.9em;
}

.bannerAdMobile {
    display:none;
}



.aLinkLogin {
    font-family: 'Inter';
    color: #008DAB;
    font-weight: 400;
    transition: 0.6s;
}


@media (max-width: 1170px) {
    .banner-welcome__left__img {
        object-fit: contain;
    }
}

@media (max-width: 1080px) {
    .banner-categories__images__link--clean::before {
        background-image: url(/Content/Images/icons/cleanTablet.svg);
    }
    .banner-categories__images__link--household::before {
        background-image: url(/Content/Images/icons/householdTablet.svg);
    }
    .banner-categories__images__link--health::before {
        background-image: url(/Content/Images/icons/healthTablet.svg);
    }
    .banner-categories__images__link::before {
        width: 150px;
        height: 150px;
    }
    .banner-categories__images__link--drink::before {
        background-image: url(/Content/Images/icons/drinkTablet.svg);
    }
}


@media(max-width:1010px) {
    .best-sellers__title:before {
        width: 20%;
    }
    .best-sellers__title:after {
        width:20%;
    
    }

}
@media (max-width: 900px) {
    .product-cards {
        gap: 50px 60px;
    }
}

@media (max-width: 860px) {
    .banner-categories__images__link::before {
        width: 80px;
        height: 80px;
    }
}

@media (max-width: 800px) {
    .banner__left-side {
        padding: 40px 20px;
    }
    .banner__left-side__title {
        font-family: Bebas Neue, sans-serif;
        font-weight: 400;
        font-size: 50px;
        line-height: 41px;
    }
    .banner__left-side__subtitle {
        font-family: Inter, sans-serif;
        font-weight: 400;
        font-size: 28px;
        letter-spacing: 0px;
    }
    .banner__left-side__text {
        font-family: Inter, sans-serif;
        font-weight: 400;
        font-size: 22px;
        letter-spacing: 0px;
    }
    .banner__left-side__button {
        width: 200px;
        height: 50px;
        padding: 0 20px 0 11px;
    }
    .offer__subtitle {
        font-family: Inter, sans-serif;
        font-weight: 600;
        font-size: 24px;
    }
    .offer__title {
        font-family: Inter, sans-serif;
        font-weight: 600;
        font-size: 32px;
    }
    .offer__products {
        margin-bottom: 55px;
    }
    .offer__products__product {
        margin-right: 50px;
    }
    .best-sellers {
        margin-bottom: 50px;
    }
    .banner-categories__title {
        margin-bottom: 40px;
        margin-top: 0;
    }
    .banner-categories__images__link {
        font-family: Inter, sans-serif;
        font-weight: 700;
        font-size: 20px;
    }
}
@media screen and (max-width: 780px) {

    .charge-container table {
        border: 0;
    }

    .charge-container table thead {
        display: none;
    }

    .charge-container  table tr {
        margin-bottom: 10px;
        display: block;
        border-bottom: 2px solid #ddd;
    }

    .charge-container table td {
        display: block;
        text-align: right;
        font-size: 13px;
        border-bottom: 1px dotted #ccc;
    }

    .charge-container table td:last-child {
        border-bottom: 0;
    }

    .charge-container table td:before {
        content: attr(data-label);
        float: left;
        text-transform: uppercase;
        font-weight: bold;
    }
}
@media(max-width:767px) {
    .banner-offer__title {
        text-align:center;
    }
    .banner-offer__subtitle {
        text-align:center;
    }
    .iconContainer {
        margin-left:auto;
        margin-right:auto;
        padding:0;
    }
}

@media (max-width: 720px) {
    .product-cards__product-card__img {
        height: 151px;
    }

    .product-cards {
        grid-template-columns: repeat(2, 1fr);
    }

    .product-cards__product-card__count__items-current input {
        width: 45px;
        height: 40px;
    }

}
@media (max-width: 690px) {
    .best-sellers__title {
        margin-bottom: 6%;
    }
    .best-sellers__title:before {
        width: 9%;

    }
    .best-sellers__title:after {
        width: 9%;
     }
    .banner-selfPromotion {
        display:none;
    }
    .banner_selfPromotionMobile {
        display:block;
    }
    .banner_selfPromotionMobile {
        margin-bottom:10%;
    }
}

@media (max-width: 600px) {
    .banner-welcome__left__title {
        font-family: Inter, sans-serif;
        font-weight: 600;
        font-size: 24px;
    }
    .banner-welcome__left__subtitle {
        font-family: Inter, sans-serif;
        font-weight: 600;
        font-size: 18px;
    }
    .banner-welcome__left {
        padding: 30px 12px 27px 16px;
    }
    .banner-brends__images {
    margin-bottom:10%;
    }
    .slick-slide {
        max-width: 80%;
        margin: 30px auto;
    }

}


@media (max-width: 560px) {
    .banner-categories__images__link {
        font-family: Inter, sans-serif;
        font-weight: 700;
        font-size: 13px;
    }
}

@media (max-width: 500px) {


    .bannerAdMobile {
        display: block;
    }

    .banner-categories__images__link--household::before {
        background-image: url(/Content/Images/icons/householdMobile.svg);
    }

    .banner-categories__images__link--health::before {
        background-image: url(/Content/Images/icons/healthMobile.svg);
    }

    .banner-categories__images__link--clean::before {
        background-image: url("./../images/icons/cleanMobile.svg");
    }

    .banner-categories__images__link--drink::before {
        background-image: url("./../images/icons/drinkMobile.svg");
    }

    .product-cards {
        grid-template-columns: repeat(2, 174px);
    }

    .product-cards {
        gap: 0;
        margin-bottom: 101px;
    }

    .banner-categories__images {
        gap: 8px;
    }

    .specialoffCont {
        width: 100%;
    }

    .btnOfferContainer {
        margin-right: 0 !important;
    }

    .product-cards__product-card {
        margin-right: 0 !important;
    }


    .product-cards__product-card__title {
        font-size: 1.3em;
        margin-top: 9%;
        line-height: 33px;
        font-family: Inter, sans-serif;
        font-weight: 700;
        max-height: 70px;
        min-height: 70px;
    } 

    .product-cards__product-card__count__items-current, .product-cards__product-card__count__items-control {
        width: 43px;
        height: 47px;
        font-size: 1.4em;
    }


    .product-cards__product-card__bottom__price__value {
        font-family: Inter, sans-serif;
        font-weight: 700;
        font-size: 16px;
        font-size: 60%;
        position: relative;
        bottom: 2ex;
    }

    .product-cards__product-card__img {
        height: 117px;
        margin: 0 auto 6px;
        min-width: 196px;
        background-size:cover !important;
    }

    .product-cards__product-card__bottom__price__label {
        font-family: Inter, sans-serif;
        font-weight: 700;
        font-size: 1.4em;
        line-height: 70.52%;
    }

    .product-cards__product-card__bottom__price {
        margin-bottom: 20px;
        margin-top:20px;
    }

    .banner-offer__subtitle {
        max-width:100%;
    }
    .banner-offer__title {
        font-size:1.5em;
    }

}
@media (max-width: 450px) {
    .banner-brends__images__brend {
        margin-right: 15px;
    }
}

@media (max-width: 400px) {
    


    .product-cards__product-card__bottom__buttons {
        justify-content: flex-start;
    }

    .product-cards__product-card__bottom__buttons__link {
        height: 40px;
        width: 40px;
    }

 

    .product-cards__product-card__count {
        font-family: Inter, sans-serif;
        font-weight: 700;
        font-size: 14px;
    }

    .product-cards__product-card__bottom {
        flex-direction: column;
    }
 
}


.col-lg-3 {
    width: 25% !important;
}

.carousel-item {
    margin-right: 0;
}


.banner-image {
    width: 100%;
    height: auto;
}

.featured-image {
    height: 250px;
    width: auto;
    max-width: 250px;
    cursor: pointer;
}

.special-offer-image {
    cursor: pointer;
    max-height: 300px;
    min-height: 100%;
    width: auto;
}


.col-no-padding {
    padding-left: 0px !important;
    padding-right: 0px !important;
}

#specialoffers,
#featured,
#banners {
    margin: 0.5rem -15px !important;
}

#banners2 {
    margin: 1rem -15px !important;
}

.section-header {
    font-weight: bold;
    border-bottom: 1px solid #4a1459;
    margin-bottom: 0.25rem;
    color: #4a1459;
}

@media (min-width: 576px) {
    .section-header {
        font-size: 1.5rem !important;
        margin-bottom: 0.5rem !important;
    }

    #specialoffers,
    #featured,
    #banners {
        margin: 1rem 0px !important;
    }

    #banners2 {
        margin: 2rem 0px !important;
    }
}

@media (min-width: 768px) {

    /* show 3 items */
    .v2 .carousel-inner .active,
    .v2 .carousel-inner .active + .carousel-item,
    .v2 .carousel-inner .active + .carousel-item + .carousel-item,
    .v2 .carousel-inner .active + .carousel-item + .carousel-item + .carousel-item {
        display: block;
    }

    .v2 .carousel-inner .carousel-item.active:not(.carousel-item-right):not(.carousel-item-left),
    .v2 .carousel-inner .carousel-item.active:not(.carousel-item-right):not(.carousel-item-left) + .carousel-item,
    .v2 .carousel-inner .carousel-item.active:not(.carousel-item-right):not(.carousel-item-left) + .carousel-item + .carousel-item,
    .v2 .carousel-inner .carousel-item.active:not(.carousel-item-right):not(.carousel-item-left) + .carousel-item + .carousel-item + .carousel-item {
        transition: none;
    }

    .v2 .carousel-inner .carousel-item-next,
    .v2 .carousel-inner .carousel-item-prev {
        position: relative;
        transform: translate3d(0, 0, 0);
    }

    .v2 .carousel-inner .active.carousel-item + .carousel-item + .carousel-item + .carousel-item + .carousel-item {
        position: absolute;
        top: 0;
        right: -25%;
        z-index: -1;
        display: block;
        visibility: visible;
    }

    /* left or forward direction */
    .v2 .active.carousel-item-left + .carousel-item-next.carousel-item-left,
    .v2 .carousel-item-next.carousel-item-left + .carousel-item,
    .v2 .carousel-item-next.carousel-item-left + .carousel-item + .carousel-item,
    .v2 .carousel-item-next.carousel-item-left + .carousel-item + .carousel-item + .carousel-item,
    .v2 .carousel-item-next.carousel-item-left + .carousel-item + .carousel-item + .carousel-item + .carousel-item {
        position: relative;
        transform: translate3d(-100%, 0, 0);
        visibility: visible;
    }

    /* farthest right hidden item must be abso position for animations */
    .v2 .carousel-inner .carousel-item-prev.carousel-item-right {
        position: absolute;
        top: 0;
        left: 0;
        z-index: -1;
        display: block;
        visibility: visible;
    }

    /* right or prev direction */
    .v2 .active.carousel-item-right + .carousel-item-prev.carousel-item-right,
    .v2 .carousel-item-prev.carousel-item-right + .carousel-item,
    .v2 .carousel-item-prev.carousel-item-right + .carousel-item + .carousel-item,
    .v2 .carousel-item-prev.carousel-item-right + .carousel-item + .carousel-item + .carousel-item,
    .v2 .carousel-item-prev.carousel-item-right + .carousel-item + .carousel-item + .carousel-item + .carousel-item {
        position: relative;
        transform: translate3d(100%, 0, 0);
        visibility: visible;
        display: block;
        visibility: visible;
    }
}